{
  "schema_version": "1.4.0",
  "id": "GHSA-frw9-68f2-x53q",
  "modified": "2022-05-03T03:18:09Z",
  "published": "2022-05-03T03:18:09Z",
  "aliases": [
    "CVE-2007-2754"
  ],
  "details": "Integer signedness error in truetype/ttgload.c in Freetype 2.3.4 and earlier might allow remote attackers to execute arbitrary code via a crafted TTF image with a negative n_points value, which leads to an integer overflow and heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2754"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240200"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=502565"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1390"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11325"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A5532"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01316.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01401.html"
    },
    {
      "type": "WEB",
      "url": "http://cvs.savannah.nongnu.org/viewvc/freetype2/src/truetype/ttgload.c?root=freetype&r1=1.177&r2=1.178"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/Security-announce/2007/Nov/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2009/May/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.gnu.org/archive/html/freetype-devel/2007-04/msg00041.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/36509"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25350"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25353"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25386"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25463"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25483"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25609"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25612"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25654"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25705"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25808"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25894"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25905"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26129"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26305"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28298"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30161"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35074"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35200"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35204"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35233"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102967-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-103171-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-200033-1"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT3549"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-330.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1302"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1334"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200705-22.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200707-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200805-07.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:121"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_41_freetype2.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openpkg.com/security/advisories/OpenPKG-SA-2007.018.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0403.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0329.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-1062.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/469463/100/200/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/471286/30/6180/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24074"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018088"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0019"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-466-1"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA09-133A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1894"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2229"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0049"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1297"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-05-17T22:30:00Z"
  }
}